    001/*
    002    Licensed to the Apache Software Foundation (ASF) under one
    003    or more contributor license agreements.  See the NOTICE file
    004    distributed with this work for additional information
    005    regarding copyright ownership.  The ASF licenses this file
    006    to you under the Apache License, Version 2.0 (the
    007    "License"); you may not use this file except in compliance
    008    with the License.  You may obtain a copy of the License at
    009
    010       http://www.apache.org/licenses/LICENSE-2.0
    011
    012    Unless required by applicable law or agreed to in writing,
    013    software distributed under the License is distributed on an
    014    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    015    KIND, either express or implied.  See the License for the
    016    specific language governing permissions and limitations
    017    under the License.
    018 */
    019package org.apache.wiki.api.search;
    020
    021import org.apache.wiki.api.core.Page;
    022
    023
    024/**
    025 *  Defines a search result.
    026 */
    027public interface SearchResult {
    028
    029    /**
    030     *  Return the page.
    031     *
    032     *  @return the WikiPage object containing this result
    033     */
    034    Page getPage();
    035
    036    /**
    037     *  Returns the score.
    038     *
    039     *  @return A positive score value.  Note that there is no upper limit for the score.
    040     */
    041    int getScore();
    042
    043    /**
    044     * Collection of XHTML fragments representing some contexts in which the match was made (a.k.a., "snippets").
    045     *
    046     * @return the search results
    047     * @since 2.4
    048     */
    049    String[] getContexts();
    050
    051}